# Uses of Class
org.mariadb.jdbc.HostAddress

Packages that use HostAddress
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.credential
org.mariadb.jdbc.credential.aws
org.mariadb.jdbc.credential.env
org.mariadb.jdbc.credential.system
org.mariadb.jdbc.internal.failover
org.mariadb.jdbc.internal.failover.impl
org.mariadb.jdbc.internal.protocol

## Uses of HostAddress in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return HostAddress
Modifier and Type
Method
Description
`HostAddress`
MariaDbConnection.`__test_host()`
Methods in org.mariadb.jdbc that return types with arguments of type HostAddress
Modifier and Type
Method
Description
`List<HostAddress>`
UrlParser.`getHostAddresses()`
`static List<HostAddress>`
HostAddress.`parse(String spec, HaMode haMode)`
parse - parse server addresses from the URL fragment.
Methods in org.mariadb.jdbc with parameters of type HostAddress
Modifier and Type
Method
Description
`static String`
HostAddress.`toString(HostAddress[] addrs)`
ToString implementation of addresses.
Method parameters in org.mariadb.jdbc with type arguments of type HostAddress
Modifier and Type
Method
Description
`static String`
HostAddress.`toString(List<HostAddress> addrs)`
ToString implementation of addresses.
Constructor parameters in org.mariadb.jdbc with type arguments of type HostAddress
Modifier
Constructor
Description
``
`UrlParser(String database, List<HostAddress> addresses, Options options, HaMode haMode)`
Constructor.

## Uses of HostAddress in org.mariadb.jdbc.credential

Methods in org.mariadb.jdbc.credential with parameters of type HostAddress
Modifier and Type
Method
Description
`default CredentialPlugin`
CredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of HostAddress in org.mariadb.jdbc.credential.aws

Methods in org.mariadb.jdbc.credential.aws with parameters of type HostAddress
Modifier and Type
Method
Description
`CredentialPlugin`
AwsIamCredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`
Constructors in org.mariadb.jdbc.credential.aws with parameters of type HostAddress
Modifier
Constructor
Description
``
`AwsCredentialGenerator(Properties nonMappedOptions, String userName, HostAddress hostAddress)`
AWS Generator.

## Uses of HostAddress in org.mariadb.jdbc.credential.env

Methods in org.mariadb.jdbc.credential.env with parameters of type HostAddress
Modifier and Type
Method
Description
`CredentialPlugin`
EnvCredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of HostAddress in org.mariadb.jdbc.credential.system

Methods in org.mariadb.jdbc.credential.system with parameters of type HostAddress
Modifier and Type
Method
Description
`CredentialPlugin`
PropertiesCredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of HostAddress in org.mariadb.jdbc.internal.failover

Methods in org.mariadb.jdbc.internal.failover that return types with arguments of type HostAddress
Modifier and Type
Method
Description
`Set<HostAddress>`
AbstractMastersListener.`getBlacklistKeys()`
`Set<HostAddress>`
Listener.`getBlacklistKeys()`
Methods in org.mariadb.jdbc.internal.failover with parameters of type HostAddress
Modifier and Type
Method
Description
`void`
AbstractMastersListener.`addToBlacklist(HostAddress hostAddress)`
After a failover, put the hostAddress in a static list so the other connection will not take this host in account for a time.
`void`
Listener.`addToBlacklist(HostAddress hostAddress)`
`void`
AbstractMastersListener.`removeFromBlacklist(HostAddress hostAddress)`
After a successfull connection, permit to remove a hostAddress from blacklist.
`void`
Listener.`removeFromBlacklist(HostAddress hostAddress)`
`void`
AbstractMastersListener.`throwFailoverMessage(HostAddress failHostAddress, boolean wasMaster, SQLException queryException, boolean reconnected)`
Throw a human readable message after a failoverException.
`void`
Listener.`throwFailoverMessage(HostAddress failHostAddress, boolean wasMaster, SQLException queryException, boolean reconnected)`

## Uses of HostAddress in org.mariadb.jdbc.internal.failover.impl

Fields in org.mariadb.jdbc.internal.failover.impl with type parameters of type HostAddress
Modifier and Type
Field
Description
`protected List<HostAddress>`
MastersReplicasListener.`hostAddresses`
Methods in org.mariadb.jdbc.internal.failover.impl that return HostAddress
Modifier and Type
Method
Description
`HostAddress`
AuroraListener.`getClusterHostAddress()`
`HostAddress`
AuroraListener.`searchByStartName(Protocol secondaryProtocol, List<HostAddress> loopAddress)`
Looks for the current master/writer instance via the secondary protocol if it is found within 3 attempts.
Methods in org.mariadb.jdbc.internal.failover.impl that return types with arguments of type HostAddress
Modifier and Type
Method
Description
`List<HostAddress>`
MastersReplicasListener.`connectedHosts()`
List current connected HostAddress.
`List<HostAddress>`
AuroraListener.`retrieveAllEndpointsAndSet(Protocol protocol)`
Retrieves the information necessary to add a new endpoint.
Method parameters in org.mariadb.jdbc.internal.failover.impl with type arguments of type HostAddress
Modifier and Type
Method
Description
`HostAddress`
AuroraListener.`searchByStartName(Protocol secondaryProtocol, List<HostAddress> loopAddress)`
Looks for the current master/writer instance via the secondary protocol if it is found within 3 attempts.

## Uses of HostAddress in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol that return HostAddress
Modifier and Type
Method
Description
`HostAddress`
AbstractConnectProtocol.`getHostAddress()`
`HostAddress`
Protocol.`getHostAddress()`
Methods in org.mariadb.jdbc.internal.protocol with parameters of type HostAddress
Modifier and Type
Method
Description
`void`
AbstractConnectProtocol.`setHostAddress(HostAddress host)`
`void`
Protocol.`setHostAddress(HostAddress hostAddress)`
Method parameters in org.mariadb.jdbc.internal.protocol with type arguments of type HostAddress
Modifier and Type
Method
Description
`static void`
AuroraProtocol.`loop(AuroraListener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter initialSearchFilter)`
loop until found the failed connection.
`static void`
MasterProtocol.`loop(Listener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter searchFilter)`
loop until found the failed connection.
`static void`
MastersReplicasProtocol.`loop(MastersReplicasListener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter searchFilter)`
loop until found the failed connection.